AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
  - Phone & SMS
License: Apache-2.0
SourceCode: https://github.com/LiMium/mini-vector-android
Changelog: https://github.com/LiMium/mini-vector-android/blob/HEAD/CHANGES.rst

AutoName: miniVector
Description: |-
    A simplified fork of the [[im.vector.alpha]] Android app.

    This is a minified Android Matrix client derived from the official client. It requires fewer permissions and compiles to a much smaller package.

    Full credit goes to the original developers. This fork just shaves-off the following features and dependencies:

    * Jitsi integration (for audio / video conference)
    * React native libraries
    * Application Icon badger
    * Analytics

    '''AntiFeatures:'''
    * NonFreeNet - Currently the integration server is not configurable in this client and linked to the non-free New Vector implementation. Free alternatives exists but supporting them in Riot Android is still being worked on.

RepoType: git
Repo: https://github.com/LiMium/mini-vector-android.git

Builds:
  - versionName: 0.8.15
    versionCode: 81500
    commit: miniv0.8.15-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.9-no-webrtc
      - olmsdk@2.3.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.17
    versionCode: 81700
    commit: miniv0.8.17-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.11-no-webrtc
      - olmsdk@2.3.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.18
    versionCode: 81800
    commit: miniv0.8.18-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.12-no-webrtc
      - olmsdk@2.3.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.19
    versionCode: 81900
    commit: miniv0.8.19-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.13-no-webrtc
      - olmsdk@2.3.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-2.3.0.aar
        $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.20
    versionCode: 82000
    commit: miniv0.8.20-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.14-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-3.0.0.aar
        libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-3.0.0.aar
        $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.21
    versionCode: 82100
    commit: miniv0.8.21-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.15-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.22b
    versionCode: 82201
    commit: miniv0.8.22-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.16-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.23
    versionCode: 82300
    commit: miniv0.8.23-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.17-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.23b
    versionCode: 82301
    commit: miniv0.8.23b-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.17-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.24
    versionCode: 82400
    commit: miniv0.8.24-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.18-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.25
    versionCode: 82500
    commit: miniv0.8.25-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.18-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.26
    versionCode: 82600
    commit: miniv0.8.26-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.19-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.28
    versionCode: 82800
    commit: miniv0.8.28-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.19-no-webrtc
      - olmsdk@3.0.0
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17b

  - versionName: 0.8.29
    versionCode: 82900
    commit: miniv0.8.29-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.20-no-webrtc
      - olmsdk@ec2695b9c945fa577c6fc4501d65a186208ecfed
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e '/jitsi-maven-repository/c\ url "https://maven.google.com"' ../build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17c

  - versionName: 0.8.29b
    versionCode: 82901
    commit: miniv0.8.29b-fdroid
    subdir: vector
    gradle:
      - appfdroid
    srclibs:
      - mini-matrixsdk@v0.9.20a-no-webrtc
      - olmsdk@ec2695b9c945fa577c6fc4501d65a186208ecfed
    prebuild:
      - sed -i -e '/com.google.firebase/d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e '/jitsi-maven-repository/c\ url "https://maven.google.com"' ../build.gradle
      - mkdir -p libs
    build:
      - pushd $$olmsdk$$/android
      - echo ndk.dir=$$NDK$$ > local.properties
      - gradle assembleRelease
      - popd
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar libs/olm-sdk.aar
      - mkdir -p $$mini-matrixsdk$$/matrix-sdk/libs
      - cp $$olmsdk$$/android/olm-sdk/build/outputs/aar/olm-sdk-release-*.aar $$mini-matrixsdk$$/matrix-sdk/libs/olm-sdk.aar
      - pushd $$mini-matrixsdk$$
      - gradle clean assembleRelease
      - popd
      - cp $$mini-matrixsdk$$/matrix-sdk/build/outputs/aar/matrix-sdk-release-*.aar
        libs/matrix-sdk.aar
    ndk: r17c

  - versionName: 0.9.1
    versionCode: 90100
    commit: miniv0.9.1-fdroid
    subdir: vector
    gradle:
      - appfdroid
    prebuild:
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle

  - versionName: 0.9.3
    versionCode: 90300
    commit: miniv0.9.3-fdroid
    subdir: vector
    gradle:
      - appfdroid
    prebuild:
      - sed -i -e '/com.google.firebase/,+5d' build.gradle
      - sed -i -e '/com.google.gms.google-services/d' build.gradle
      - sed -i -e '/Jitsi repo/,+4d' ../build.gradle

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 0.9.3
CurrentVersionCode: 90300
